/** Class for heap nodes. */

public class HeapNode {
	private int x,y;
	private double cost;
	
	/**Constructor:
	 * @param r1 Y coordinate.
	 * @param c1 X coordinate.
	 * @param cost Total cost.
	 */
	public HeapNode(int r1, int c1, double cost){
		y = r1;
		x = c1;
		this.cost = cost;
	}
	
	/** @return Cost.
	 */
	public double getCost(){
		return cost;
	}
	/** @return Y coordinate.
	 */
	public int getY(){
		return y;
	}
	/** @return X coordinate.
	 */
	public int getX(){
		return x;
	}
}
