import javax.swing.JInternalFrame;

/** Internal frame to hold an ImagePanel */
public class ICInternalFrame extends JInternalFrame {
	
	/** Constructor:
	 * @param title Title of the frame.
	 * @param ip ImagePanel
	 */
    public ICInternalFrame(String title, ImagePanel ip) {
        super(title, 
              false, //resizable
              false, //closable
              false, //maximizable
              false);//iconifiable
              
        setContentPane(ip);
        pack();
        setLocation(0,0);
    }
    
}
