/**
 * Interface for progressable objects.
 */
public interface Progressable {
	/**
	 * sets and returns the current progress amount.
	 * @param prog progress amount. Special values are: 1 - the initial value.
	 * 				-1 - makes it only return the value instead of setting it.
	 * @return The current progress amount.
	 */
	public int getSetCurrentProgress(int prog);
}
